var config = {
  style: "mapbox://styles/baran-m/clz3pecii00mr01r252m93pir",
  accessToken:
    "pk.eyJ1IjoiYmFyYW4tbSIsImEiOiJjbHEwbmh0NWswMDNhMmtxaXIwdm5rbXI1In0.VQooqXjjo4wDIJJZJCbYgQ",
  showMarkers: false,
  markerColor: "#3FB1CE",
  theme: "light",
  use3dTerrain: true,
  bookmarks:
  '<strong>Chapters</strong>: <a href="#Sorkhroud City">Sorkhroud City </a> |<a href="#District1">District 1</a> |<a href="#District1 3D">Building Land Use</a> | <a href="#Ayan">Building Density</a> | <a href="#Points of Interest">Tourist Centers</a>| <a href="#MegaMal">Mega Mall Complex</a>| <a href="#Donyaye_Noor"> Donyaye Noor Complex</a> | <a href="#Furniture"> Urban Furniture and Trees</a>',
  title: "Data Storytelling",
  subtitle: "",
  logo: "Picture/logo1.png",
  //byline: "Scroll to view story",
  footer:
    'More Sampels: https://t.me/PowerBiMaps',
  chapters: [
    {
      id: "Sorkhroud City",
      alignment: "left",
      hidden: false,
      title: "Sorkhroud City",
      image: "",
      description:
        'Sorkhroud is one of the cities of Mazandaran Province, Iran. This city is the center of Sorkhroud District, Mahmoudabad County. This city is located 6 kilometers west of Fereydunkenar and fifteen kilometers east of Mahmoudabad by the Caspian Sea and at the end of the Haraz River route to the Caspian Sea.',
      location: {
        center: { lon: 52.460, lat: 36.679 },
        zoom: 13.20,
        pitch: 0,
        bearing: 0,
      },
      mapAnimation: "flyTo",
      rotateAnimation: false,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0,},
        {layer: "ArseLine", opacity: 0},
        {layer: "Ayan", opacity: 0},
        {layer: "Street", opacity: 0},
        {layer: "Arse", opacity: 0},
        {layer: "AyanF", opacity: 0},
        {layer: "Tree", opacity: 0},
        {layer: "PoleLight", opacity: 0},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0.9},
      ],
      onChapterExit: [
        {layer: "Mahdodeh",opacity: 0},
      ],
    },
    {
      id: "District1",
      alignment: "left",
      hidden: false,
      title: "District 1 of Sorkhroud Municipality",
      image: "",
      description:
        'Due to its location in the north of Sorkhroud City, this area plays an important role in providing services to tourists. The presence of recreational, commercial, and cultural centers has resulted in various amenities being available to residents and tourists.',
      location: {
        center: { lon: 52.460, lat: 36.679 },
        zoom: 13.50,
        pitch: 0.00,
        bearing: 0.00,
        //speed: 2, // make the flying slow
        //curve: 1, // change the speed at which it zooms out
      },
      mapAnimation: "flyTo",
      rotateAnimation: false,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0,},
        {layer: "ArseLine", opacity: 0},
        {layer: "Ayan", opacity: 0},
        {layer: "Street", opacity: 0.8},
        {layer: "Arse", opacity: 0.7},
        {layer: "AyanF", opacity: 0},
        {layer: "Tree", opacity: 0},
        {layer: "PoleLight", opacity: 0},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0},
      ],
      onChapterExit: [
        { layer: "Mahdodeh", opacity: 0 },
      ],
      //mapAnimation: "easeTo",
      //rotateAnimation: true,
      //callback: "",
      //onChapterEnter: [],
      //onChapterExit: [],
    },
    {
      id: "District1 3D",
      alignment: "left",
      hidden: false,
      title: "Building Land Use of District 1",
      image: "",
      description:
        'Given that most of the existing land use in this area is dedicated to residential villas, the dominant building floors in this area are low-rise, and most buildings are two to three floors. The highest building floors in this area do not exceed 5 floors.',
      location: {
        center: [52.460, 36.679],
        zoom: 16,
        pitch: 45,
        bearing: -70,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0,},
        {layer: "ArseLine", opacity: 0},
        {layer: "Ayan", opacity: 0},
        {layer: "Street", opacity: 0.8},
        {layer: "Arse", opacity: 0.7},
        {layer: "AyanF", opacity: 0},
        {layer: "Tree", opacity: 0},
        {layer: "PoleLight", opacity: 0},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0},
      ],
      onChapterExit: [
        { layer: "Arse", opacity: 0 },
      ],
    },
    {
      id: "Ayan",
      alignment: "left",
      hidden: false,
      title: "Building Density of District 1",
      image: "",
      description:
        'The dominance of villa residential use in this area has resulted in most buildings having low density. However, other uses such as commercial, cultural, and medical are considered medium to high-density uses.',
      location: {
        center: [52.460, 36.679],
        zoom: 16.5,
        pitch: 60,
        bearing: -60,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0,},
        {layer: "ArseLine", opacity: 0.8},
        {layer: "Ayan", opacity: 0.7},
        {layer: "Street", opacity: 0.8},
        {layer: "Arse", opacity: 0},
        {layer: "AyanF", opacity: 0},
        {layer: "Tree", opacity: 0},
        {layer: "PoleLight", opacity: 0},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0},
      ],
      onChapterExit: [
        { layer: "Ayan", opacity: 0 },
        { layer: "ArseLine", opacity: 0 },
      ],
    },
    {
      id: "Points of Interest",
      alignment: "left",
      hidden: false,
      title: "Tourist Centers of District 1",
      image: "",
      description:
        'The existing tourist centers in this area play an important role in providing services to citizens and especially to tourists.',
      location: {
        center: [52.460, 36.679],
        zoom: 16.5,
        pitch: 73.50,
        bearing: -40,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0.8},
        {layer: "ArseLine", opacity: 0},
        {layer: "Ayan", opacity: 0},
        {layer: "Street", opacity: 0.8},
        {layer: "Arse", opacity: 0},
        {layer: "AyanF", opacity: 0},
        {layer: "Tree", opacity: 0},
        {layer: "PoleLight", opacity: 0},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0},
      ],
      onChapterExit: [
        { layer: "ArseInterest", opacity: 0.5 },
      ],
    },
    {
      id: "MegaMal",
      alignment: "left",
      hidden: false,
      title: "Mega Mall Tourist Complex",
      image: "https://www.homsa.net/blog/wp-content/uploads/2019/08/megamal.jpg",
      description:
        'Mega Mall is the first large Iranian market based on international standards. This complex, with its amenities and easy access, provides better conditions for customers compared to other shopping centers.',
      location: {
        center: { lon: 52.449878, lat: 36.679163 },
        zoom: 16,
        pitch: 74.00,
        bearing: -32.00,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [],
      onChapterExit: [],
    },
    {
      id: "Donyaye_Noor",
      alignment: "left",
      hidden: false,
      title: "Donyaye Noor Commercial Complex",
      image: "https://www.homsa.net/blog/wp-content/uploads/2019/08/donyaye-noor.jpg",
      description:
        'Donyaye Noor Shopping Center is one of the most beautiful shopping centers. In addition to a variety of goods, the shopping center provides suitable amenities for the comfort and convenience of customers. The interior design of Donyaye Noor is attractive to customers and brings significant psychological peace to them.' +
        '<br><br><a href="https://sngostar.com/Panorama/Sorkhroud/DirectNode/Boustan_Sharghi/index.html#node78" target="_blank" style="color:blue; text-decoration:underline;">Click to view panorama</a>',
      location: {
        center: { lon: 52.478283, lat: 36.684606 },
        zoom: 18,
        pitch: 74.00,
        bearing: -40,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [],
      onChapterExit: [],
    },
    {
      id: "Furniture",
      alignment: "left",
      hidden: false,
      title: "Urban Furniture and Trees of District 1",
      image: "",
      description:
        'Urban furniture plays an important role in providing urban services to residents and tourists.',
      location: {
        center: [52.460, 36.679],
        zoom: 16.9,
        pitch: 80,
        bearing: -70,
      },
      mapAnimation: "easeTo",
      rotateAnimation: true,
      callback: "",
      onChapterEnter: [
        {layer: "ArseInterest",opacity: 0},
        {layer: "ArseLine", opacity: 0.8},
        {layer: "Ayan", opacity: 0},
        {layer: "Street", opacity: 0.8},
        {layer: "Arse", opacity: 0},
        {layer: "AyanF", opacity: 0.9},
        {layer: "Tree", opacity: 0.8},
        {layer: "PoleLight", opacity: 0.8},
        {layer: "Hozeh", opacity: 0},
        {layer: "Mahdodeh", opacity: 0},
      ],
      onChapterExit: [
        { layer: "ArseInterest", opacity: 0 },
      ],
    },
  ],
};